## Apache Zeta Components Manual :: Docs For Class ezcDocumentParserOptions

### Document::ezcDocumentParserOptions

### Class ezcDocumentParserOptions

Class containing the basic options for the ezcDocumentParser.

Source for this file: /Document/src/options/document_parser.php

    ezcBaseOptions
       |
       --ezcDocumentParserOptions

Version: | //autogen//

### Properties

int | read/write | `$errorReporting` Error reporting level. All errors with a severity greater or equel then the defined level are converted to exceptions. All other errors are just stored in errors property of the parser class.

### Member Variables

protected array(string=>mixed) | `$properties = array( 'errorReporting' => 15, // E_PARSE | E_ERROR | E_WARNING | E_NOTICE )` Container to hold the properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3